﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;
using Misc;

namespace Flyad7_WPF
{
    public class DebugAppParam : INotifyPropertyChanged
    {
        private string epstr = "192.168.251.10:20006";
        public string EPStr { get; set; }

        public bool HasTimeGrid { get; set; }

        public bool HasGrid { get; set; }


        public bool HasGridAdv { get; set; }


        public bool HasCRC { get; set; }


        public int FB_Pos1 { get; set; } = 1000;
        public int FB_Pos2 { get; set; } = 3000;

        public UInt32 Velocity;
        public UInt32 SVelocity;
        public UInt32 ATime;
        public UInt32 DTime;
        public UInt32 HVelocity1;
        public UInt32 HVelocity2;

        public int PosLen;
        public int ADLag;

        #region INotifyPropertyChanged 成员
        public event PropertyChangedEventHandler PropertyChanged;

        #endregion

        public void Save()
        {
            Misc.SaveToXmlHepler.Save("param.xml", this);
        }

        public void Load()
        {
            Misc.SaveToXmlHepler.Load("param.xml", this);
        }
    }


}
